#!/bin/bash
SCRIPT="runAnalysis.sh"
runNumber=1
while [ $runNumber -le 2 ]; do
    echo "Adding run number from file: $runNumber"

#make the script to submit
    (echo "#!/bin/bash"
echo "source /cvmfs/alice.cern.ch/etc/login.sh"
echo "eval $(alienv printenv VO_ALICE@AliPhysics::vAN-20190201-1)"
echo "which aliroot || exit 1"
if [ "$1" == "2011" ]
then
    echo "mkdir -p /project/alice/users/pchrist/test/BalanceFunction/Models/Pythia8/NoCR/Set$runNumber"
    echo "cd /project/alice/users/pchrist/test/BalanceFunction/Models/Pythia8/NoCR/Set$runNumber"
elif [ "$1" == "2015" ]
then
    echo "mkdir -p /glusterfs/alice1/alice2/pchrist/Flow/HighHarmonics/2015/LHC15o/000$runNumber"
    echo "cd /glusterfs/alice1/alice2/pchrist/Flow/HighHarmonics/2015/LHC15o/000$runNumber"
else 
    exit
fi
echo "pwd"
echo "if [ -f AnalysisResults.root ]"
echo "  then "
echo "rm -rf AnalysisResults.root"
echo "fi"
echo "if [ ! -f runBalanceFunctionInpp.C ]"
echo " then "
echo "ln -s /user/panosch/ALICE/BalanceFunction/Models/Stoomboot/runBalanceFunctionInpp.C ." 
echo "fi"
echo "if [ ! -f AddTaskBalancePsiCentralityTrain.C ]"
echo " then "
echo "ln -s /user/panosch/ALICE/BalanceFunction/Models/Stoomboot/AddTaskBalancePsiCentralityTrain.C ."
echo "fi"
echo "exec aliroot -b -q runBalanceFunctionInpp.C'($runNumber)'"
    ) > $SCRIPT

qsub -q generic $SCRIPT 

let runNumber++

done